#!/bin/sh
#\
exec wish -f "$0" "$@"

# ------------------------------------------------
# Load the extension libraries for the bltgraph
# and for the spectrometer 
# -----------------------------------------------

load libBLT24.so
load libs2000.so

# ------------------------------------------------------
# Create vectors and graphs for the data
# Y: Intensity from spectrometer 
# X: Pixelnumber 0 to 2047
# -----------------------------------------------------

blt::vector Y X 
X seq 0 2047 

blt::graph .graph -width 500 -height 200  
.graph element create line -xdata X -ydata Y -symbol none
pack .graph -expand true -fill both

# ------------------------------------------------------------
# open the spectrometer device-file, then
# connect vector Y to the spectrometer
# ------------------------------------------------------------

s2000_link_vector [open /dev/adc500_0 r+] Y
